> ## Documentation Index
> Fetch the complete documentation index at: https://docs.walletkit.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Login with Wallet

> Log a user in with their wallet using Sign in with Ethereum.

<Snippet file="header-project-id.mdx" />


## OpenAPI

````yaml post /users/login-with-wallet
openapi: 3.0.1
info:
  title: WalletKit
  version: 0.0.1
servers:
  - url: https://testnet.walletkit.com
    description: testnet
  - url: https://mainnet.walletkit.com
    description: mainnet
security: []
paths:
  /users/login-with-wallet:
    post:
      tags:
        - Users
      summary: Login with Wallet
      description: Log a user in with their wallet using Sign in with Ethereum.
      operationId: users_login-with-wallet
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                sign_in_wallet:
                  type: string
              required:
                - sign_in_wallet
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LoginWithWalletResponse'
        '400':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '403':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    LoginWithWalletResponse:
      title: LoginWithWalletResponse
      type: object
      properties:
        user_id:
          type: string
        nonce:
          type: string
      required:
        - user_id
        - nonce
    ErrorResponse:
      title: ErrorResponse
      type: object
      properties:
        code:
          type: string
          nullable: true
        error:
          type: string
      required:
        - error

````